VERSION 5.00
Begin VB.Form FrmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Smart A/D Demo Program"
   ClientHeight    =   5895
   ClientLeft      =   150
   ClientTop       =   435
   ClientWidth     =   7050
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5895
   ScaleWidth      =   7050
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton BtnGetSensorData 
      Caption         =   "&Show Sensor Data"
      Height          =   375
      Left            =   2280
      TabIndex        =   2
      Top             =   5340
      Width           =   1785
   End
   Begin VB.CommandButton BtnResetBoard 
      Caption         =   "&Reset Board"
      Height          =   375
      Left            =   300
      TabIndex        =   1
      Top             =   5340
      Width           =   1785
   End
   Begin VB.Label Label 
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4965
      Left            =   180
      TabIndex        =   0
      Top             =   150
      Width           =   6705
   End
End
Attribute VB_Name = "FrmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*****************************************************************************
' This demo program shows how to use SmartAD.DLL in a Visual Basic application
' with PCI Smart A/D boards.  In this example, it is not necessary to know
' how many PCI Smart A/D boards are present, nor is it necessary to know
' their addresses.
'*****************************************************************************

Private nBoards As Long             ' Number of Smart A/D boards.

Private Sub Form_Load()
    Me.Show                         ' Make all controls visible.
    nBoards = FindAllPciBoards()    ' Find all PCI Smart A/D boards and register them with the driver.
    ResetAll Label, nBoards         ' Invoke a soft reset and configure channels.
End Sub

Private Sub BtnGetSensorData_Click()
    ShowSensorData Label, nBoards   ' Fetch and display some sensor data.
End Sub

Private Sub BtnResetBoard_Click()
    ResetAll Label, nBoards         ' Invoke a soft reset and configure channels.
End Sub
